更新 personinterest
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
更新用户配置文件 中的 personInterest 对象 的属性。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | User.ReadWrite、User.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | User.ReadWrite、User.ReadWrite.All |
| 应用程序 | User.ReadWrite.All |
HTTP 请求
PATCH /me/profile/interests/{id}
PATCH /users/{id | userPrincipalName}/profile/interests/{id}
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | Bearer {token}。必需。 |
| Content-Type | application/json. Required. |
请求正文
在请求正文中,提供应更新的相关字段的值。 请求正文中不包括的现有属性将保留其以前的值,或根据对其他属性值的更改重新计算。 为了获得最佳性能,请勿加入尚未更改的现有值。
下表显示了在用户配置文件中的现有 personInterest 对象中可以更新 的属性。
| 属性 | 类型 | Description |
|---|---|---|
| allowedAudiences | String | 能够查看实体中包含的值的访问群体。 继承自 itemFacet。 可取值为:me、family、contacts、groupMembers、organization、federatedOrganizations、everyone、unknownFutureValue。 |
| categories | String 集合 | 包含用户与兴趣表关联的类别 (例如个人、) 。 |
| collaborationTags | 字符串集合 | 包含用户与兴趣相关联的体验方案标记。 集合中允许的值为 askMeAbout ableToMentor :、、、。 wantsToLearn wantsToImprove |
| 说明 | String | 包含感兴趣的说明。 |
| displayName | String | 包含兴趣的友好名称。 |
| inference | inferenceData | 如果实体是由创建或修改应用程序推断出来的,则包含推断详细信息。 继承自 itemFacet。 |
| WebUrl | String | 包含指向有关感兴趣的网页或资源的链接。 |
响应
如果成功,此方法在响应 200 OK 正文中返回 响应代码和更新的 personInterest 对象。
示例
请求
下面展示了示例请求。
PATCH https://graph.microsoft.com/beta/me/profile/interests/{id}
Content-type: application/json
{
"categories": [
"Sports"
]
}
响应
下面展示了示例响应。
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"id": "0fb4c1e3-c1e3-0fb4-e3c1-b40fe3c1b40f",
"allowedAudiences": "organization",
"inference": null,
"createdDateTime": "2020-07-06T06:34:12.2294868Z",
"createdBy": {
"application": null,
"device": null,
"user": {
"displayName": "Innocenty Popov",
"id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
}
},
"lastModifiedDateTime": "2020-07-06T06:34:12.2294868Z",
"lastModifiedBy": {
"application": null,
"device": null,
"user": {
"displayName": "Innocenty Popov",
"id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
}
},
"categories": [
"Sports"
],
"description": "World's greatest football club",
"displayName": "Chelsea FC",
"webUrl": "https://www.chelseafc.com",
"collaborationTags": null
}
反馈
提交和查看相关反馈